{% extends 'main.html' %}

{% load static %}

{% block content %}

<!-- start page title -->
<div class="row">
<div class="col-12">
    <div class="page-title-box">
        <div class="page-title-right">
            <ol class="breadcrumb m-0">
                <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                <li class="breadcrumb-item"><a href="javascript: void(0);">eCommerce</a></li>
                <li class="breadcrumb-item active">Imenik</li>
            </ol>
        </div>
        <h4 class="page-title">Imenik</h4>
    </div>
</div>
</div>
<!-- end page title -->

<div class="row">
<div class="col-12">
    <div class="card">
        <div class="card-body">
            <form action="" method="post">
                {% csrf_token %}
                <div class="row mb-2">
                    <div class="col-sm-5">
                        <a href="{% url 'create_person' %}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Person</a>
                    </div>
                    <div class="col-sm-7">
                        <div class="text-sm-end">
                            <button type="submit" class="btn btn-light mb-2 me-1" name="deletebutton" >Delete</button>
                            <button type="button" class="btn btn-light mb-2">Export</button>
                        </div>
                    </div><!-- end col-->
                </div>

                <div class="table-responsive">
                    <table class="table table-centered table-striped dt-responsive nowrap w-100" id="products-datatable">
                        <thead>
                            <tr>
                                <th style="width: 20px;">
                                    <div class="form-check">
                                        <input type="checkbox" class="form-check-input" name="full_checkbox" value="full_on" id="customCheck1">
                                        <label class="form-check-label" for="customCheck1">&nbsp;</label>
                                    </div>
                                </th>
                                <th>Full Name</th>
                                <th>Phone Number</th>
                                <th>Carrier Name</th>
                                <th>Postal Code</th>
                                <th>City</th>
                                <th>Address</th>
                                <th>Create Date</th>
                                <th>Status</th>
                                <th style="width: 75px;">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- Phone numbers List -->
                            {% for phone_number in phone_numbers %}
                            <tr>
                                <td>
                                    <input type="checkbox" name="{{ phone_number.id }}" value="small_on" id="checkbox">
                                </td>
                                <td class="table-user">
                                    <a href="{% url 'update_person' phone_number.id %}" class="text-body fw-semibold">{{ phone_number.person.full_name }}</a>
                                </td>
                                <td>
                                    {{ phone_number.phone_number }}
                                </td>
                                <td>
                                    {{ phone_number.carrier_name }}
                                </td>
                                <td>
                                    {{ phone_number.person.postal_code }}
                                </td>
                                <td>
                                    {{ phone_number.person.city }}
                                </td>
                                <td>
                                    {{ phone_number.person.street_name }}
                                </td>
                                <td>
                                    {{ phone_number.created }}
                                </td>
                                <td>
                                    {% if phone_number.is_validated %}
                                        <span class="badge badge-success-lighten">Validated</span>
                                    {% else %}
                                        <span class="badge badge-danger-lighten">Not Validated</span>
                                    {% endif %}
                                </td>
                                <td>
                                    <a href="{% url 'update_person' phone_number.id %}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                    <a href="{% url 'delete_person' phone_number.id %}" class="action-icon"> <i class="mdi mdi-delete"></i></a>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    {% include 'pagination.html' %}
                </div>
            </form>
        </div> <!-- end card-body-->
    </div> <!-- end card-->
</div> <!-- end col -->
</div>
<!-- end row -->

<!-- bundle -->
<script src="{% static 'js/vendor.min.js' %}"></script>
<script src="{% static 'js/app.min.js' %}"></script>

 <!-- Required js for page -->
<script src="{% static 'js/vendor/jquery.dataTables.min.js' %} "></script>
<script src="{% static 'js/vendor/dataTables.bootstrap5.js' %}"></script>
<script src="{% static 'js/vendor/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'js/vendor/responsive.bootstrap5.min.js' %}"></script>
<script src="{% static 'js/vendor/dataTables.checkboxes.min.js' %}"></script>

<script src="{% static 'js/pages/non_demo.customers.js' %}"></script>


{% endblock %}
